## org.mortbay.jetty.security
Class ClientCertAuthenticator

    java.lang.Object
      org.mortbay.jetty.security.ClientCertAuthenticator

All Implemented Interfaces:
  Serializable, Authenticator

    public class ClientCertAuthenticator

extends Object
implements Authenticator

Client Certificate Authenticator. This Authenticator uses a client certificate to authenticate the user. Each client certificate supplied is tried against the realm using the Principal name as the username and a string representation of the certificate as the credential.

Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`ClientCertAuthenticator()`

Method Summary
`Principal` `authenticate(UserRealm realm, String pathInContext, Request request, Response response)` Authenticate.
`String` `getAuthMethod()`
`int` `getMaxHandShakeSeconds()`
`void` `setMaxHandShakeSeconds(int maxHandShakeSeconds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientCertAuthenticator

    public ClientCertAuthenticator()

Method Detail

### getMaxHandShakeSeconds

    public int getMaxHandShakeSeconds()

### setMaxHandShakeSeconds

    public void setMaxHandShakeSeconds(int maxHandShakeSeconds)

  Parameters:
    `maxHandShakeSeconds` - Maximum time to wait for SSL handshake if Client certification is required.

### authenticate

    public Principal authenticate(UserRealm realm,
                                  String pathInContext,
                                  Request request,
                                  Response response)
                           throws IOException

  Description copied from interface: `Authenticator`
  Authenticate.

  Specified by:
    `authenticate` in interface `Authenticator`
  Parameters:
    `realm` - an `UserRealm` value
    `pathInContext` - a `String` value
    `request` - a `Request` value
    `response` - a `Response` value. If non-null response is passed, then a failed authentication will result in a challenge response being set in the response.
  Returns:
    UserPrinciple if authenticated or null if not. If Authentication fails, then the authenticator may have committed the response as an auth challenge or redirect.
  Throws:
    `IOException`

### getAuthMethod

    public String getAuthMethod()

  Specified by:
    `getAuthMethod` in interface `Authenticator`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.